******************  EXPENSE.CMD  *******************
*                                                  *
*  This command file is the menu to enter and edit *
* mileage and expenses that have been incurred in  *
* the carrying out your work for which you should  *
* be reimbursed.                                   *
*                                                  *
****************************************************

Set talk off
ERASE
  STORE T TO MEX
DO WHILE MEX = T
?
?
?
?'        MILEAGE AND EXPENSE REGISTER MENU'
?
?
?'       1.  Enter MILEAGE'
?
?'       2.  Enter EXPENSES'
?
?'       3.  Correct or Change Information on an'
?'           Existing MILEAGE or EXPENSE Record'
?       
?'       4.  Monthly MILEAGE AND EXPENSE REPORT'
?       
?'       Q.  QUIT this run.'
?
?
?' PRESS THE NUMBER CORRESPONDING TO YOUR SELECTION'
WAIT TO SELECTION
ERASE
DO CASE
CASE SELECTION = '1'
   DO ADDMILES
CASE SELECTION = '2'
   DO ADDXPENS
CASE SELECTION = '3'
   DO EDITEXP 
CASE SELECTION = '4' 
   DO MONTHREP
CASE !(SELECTION) = 'Q'
?'Are you sure you want to Quit? (Y/N)'
WAIT TO SELECTION
  IF !(SELECTION) =  'Y'
?
?'It was nice to work with you! Bye!'
?
?
?
  QUIT
 WAIT TO SELECTION
  ELSE
   DO B:EXPENSE
ENDIF
LOOP
OTHERWISE
ERASE
?
?'YOU HAVE MADE AN INCORRECT CHOICE, PLEASE TRY AGAIN'
LOOP
ENDCASE
ENDDO 
